2011-01-11  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileErrorHandler.java (removeExistingMarkers): Fix NPE.
	(handleError): Use more effective Integer parser.

2010-10-26  Alexander Kurtakov  <akurtako@redhat.com>
    Allow bug hyperlinking and use extension point. (Modified patch by Charley Wang bug#316380).
	* plugin.xml: Use extension point for hyperlinks.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/MailHyperlinkDetector.java (detectHyperlinks): Locate specfile editor.
	(setEditor): Set specfile editor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlinkDetector.java (detectHyperlinks): Locate specfile editor.
	(setEditor): Set specfile editor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java (detectHyperlinks): Locate specfile editor.
	(setSpecfile): Set specfile editor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/URLHyperlinkWithMacroDetector.java (detectHyperlinks): Locate specfile editor.
	(setSpecfile): Set specfile editor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java (getHyperlinkDetectors): Simplify thanks to using extension.
	(getHyperlinkDetectorTargets): Likewise.

2010-08-31  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/DownloadJob.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileDownloadHyperlink.java: Extract download job to separate class. 

2010-07-20  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileMarkerHandler.java (removeExistingMarkers): Don't
	access file if it does not exist. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (.run): Don't access viewer if it is
	null.

2010-07-20  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileDocumentProvider.java (canSaveDocument):
	Fix the case when we have an empty new file and the length is 0 since it doesn't exist yet.

2010-07-20  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (setDocumentProvider): New
	override to set the document provider to the SpecfileDocumentProvider.
	(getSpecfileDocumentProvider): New static method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/UiUtils.java (resolveDefines): Prevent NPE from
	occurring instead of letting try/catch handle it.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecFileParser.java:
	(parseMacro): Add check for lastSection being null before accessing.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileErrorHandler.java: Rewritten
	to support external files in addition to project files.
	(SpecfileErrorHandler): Changed to accept an IEditorInput instead of IFile.
	(SpecfileMarker): New private class.
	(handleError): Rewritten.
	(removeAllExistingMarkers): Moved here from base class.
	(removeExistingMarkers): Ditto.
	(getAnnotationModel): New method.
	
2010-07-20  Alexander Kurtakov  <akurtako@redhat.com>
    Fix #319742 ( Severin Gehwolf ).
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java (DP_RPM_LIST_FILEPATH): Save pkglist file in user.home.

2010-07-07  Alexander Kurtakov  <akurtako@redhat.com>
    Fix bz#309195.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileQuickOutlineDialog.java (stringMatcherUpdated): Select first item in the filtered tree.

2010-07-07  Alexander Kurtakov  <akurtako@redhat.com>
    Fix section folding (bz#309192)
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (getAdapter): Adapt ProjectionAnnotationModel.
	(createSourceViewer): Create PrjectionViewer.
	(createPartControl): Likewise.

2010-04-09  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java (createFieldEditors): Store field editor in a member.
	(propertyChange): Erase package proposals on tools change.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java (setPackagesList): Regenerate package list if file is missing.

2010-03-14  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: Externalize strings.
	* plugin.xml: Likewise.

2010-03-12  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Fix direct definitions split. (Charley Wang bz#305421)
	
2010-03-12  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileDoubleClickStrategy.java: Fix line ending check. (Charley Wang bz#294555)	

2010-02-25  Alexander Kurtakov  <akurtako@redhat.com>
    Add ability to download sources if they are hyperlinks.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileDownloadHyperlink.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/Messages.java: Add more messages.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/messages.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlinkDetector.java (detectHyperlinks): Add download hyperlink.
	(SourcesFileHyperlinkDetector): Format.

2010-02-01  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseDirectDefinition): Show error when missing value.
	(parseDefine): Likewise.

2010-01-29  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java (resolve): Fix StringIndexOutOfBounds.

2010-01-26  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java (resolve): Fix stackoverflow when recursive define is used.
	(SpecfileElement): Format.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseDirectDefinition): Fix parsing defines without value.

2010-01-25  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.xml: Fix documentProviders file extensions.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (SpecfileEditor): Do not set document provider, correctly done with the extension.

2010-01-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/UiUtils.java: New file.
	* .settings/org.moreunit.prefs: Fix configuration.
	* META-INF/MANIFEST.MF: Require o.e.linuxtools.rpm.core.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java (formatDateLine): Use Utils from core.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java (start): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/HTMLTextPresenter.java (adaptTextPresentation): Remove dead variable.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (MainPackagePage): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/SpecfileFormEditor.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlinkDetector.java (detectHyperlinks): Use UiUtils instead of Utils which is now in core.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/URLHyperlinkWithMacroDetector.java (detectHyperlinks): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SourceComparator.java: Implement Serializable.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (addDefine): Use UiUtils instead of Utils which is now in core.
	(getDefine): Likewise.
	(modifyDefine): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java (resolve): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (simpleSections): Make declarations final.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java: Remove dead variable.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java (rpmtoolsRadioGroupFieldEditor): Use UiUtils instead of Utils which is now in core.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java (getMacroEval): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java (getRpmInfo): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (ProposalComparator): Implement Serializable.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileReconcilingStrategy.java (SpecfileReconcilingStrategy): Remove dead store.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/NoExecutableWizardPage.java (createControl): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizard.java: Use UiUtils instead of Utils which is now in core.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java (setTextItem): Remove dead store.
	(runRpmdevNewSpec): Use utils from core.
	(createControl): Remove dead store.

2010-01-18  Alexander Kurtakov  <akurtako@redhat.com>
    Preference store should not be set to the editor if you want to inherit configurations like showing line numbers and etc.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java: Remove not needed import.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (SpecfileEditor): Do not set preference store. 

2010-01-18  Alexander Kurtakov  <akurtako@redhat.com>
    Switch from the current commands and actions mixture to only commands.
	* plugin.xml: Replace all actions with commands.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorOrganizePatchesActionDelegate.java : Rewrite it to be AbstractHandler.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorShowOutlineActionDelegate.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorToggleCommentActionDelegate.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java (getActiveEditor): Removed, not needed. 

2010-01-18  Alexander Kurtakov  <akurtako@redhat.com>
    Replace our custom tab-to-space implementation with org.eclipse.jface.text.TabToSpacesConverter.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileProjectionViewer.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileTabConverter.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java (getAutoEditStrategies): New method.
	(getTabSize): Likewise.
	(isTabConversionEnabled): Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (getAdapter): Drop references to all old tab replacing code.
	(createPartControl): Likewise.
	(doSetInput): Likewise.
	
2010-01-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java: Remove not needed member.

2010-01-18  Alexander Kurtakov  <akurtako@redhat.com>
	Use default annotation hover instead of our copied and staled one.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/AnnotationHover.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java (getAnnotationHover): Removed. 

2010-01-07  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/LineBreakingReader.java (readLine): Fix javadoc.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/Messages.java: Add copyright header.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/messages.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/RpmTagText.java (RpmTagText): Externalize string.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSection.java (getContents): Add NON-NLS.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java (MacroListEditor.selectionChanged): Add @Override.

2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Format.
	(parseMacro): Likewise.
	(complexDefinitions): Likewise.
	(parseDirectDefinition): Likewise.
	(parseLine): Likewise.
	(parseBuildRequire): Likewise
	(directValuesDefinitions): Likewise
	(parseSection): Likewise.
	(simpleDefinitions): Remove buildroot.
	(directDefinitions): Add buildroot.
	
2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Remove false warning for Release tag.

2009-10-28  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseLine): Make sure that when trying to parse Source or Patch they are really such.

2009-10-24  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseDefine): %define and %global shouldn't be associated with a subpackage.

2009-10-23  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/Messages.java (Messages): Fix issues found by pmd.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogParser.java (parseCurrentFunction): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java (Activator): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/compare/Messages.java (Messages): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/IStrictWordDetector.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/Messages.java (Messages): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/SpecfileFormEditor.java (SpecfileFormEditor): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/Messages.java (Messages): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlinkDetector.java (detectHyperlinks): Likewise.
	(SourcesFileHyperlinkDetector): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java (SpecfileElementHyperlinkDetector): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Messages.java (Messages): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/Messages.java (Messages): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileContentProvider.java (getChildren): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileLabelProvider.java (addListener): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Messages.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileDefine.java (SpecfileDefine): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java (resolve): Likewise.
	(setName): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java (setPackageName): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackageContainer.java (getLineEndPosition): Likewise.
	(SpecfilePackageContainer): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileTag.java (toString): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java (MacroListEditor.MacroListEditor): Likewise.
	(MacroListEditor.getListControl): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/Messages.java (Messages): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java (PreferenceConstants): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/SpecTemplatePreferencePage.java (performOk): Likewise.
	(SpecTemplatePreferencePage): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/TaskTagsPreferencePage.java (TasksListEditor.parseString): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java (buildMacroList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java (update): Likewise.
	(setPropertyChangeListener): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/AuthorEmailRule.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/StringWithEndingRule.java (StringWithEndingRule): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/VersionReleaseRule.java (evaluate): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileChangelogScanner.java (SpecfileChangelogScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePackagesScanner.java (SpecfilePackagesScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java (SpecfileScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (computeTemplateProposals): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java (SpecfileConfiguration): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileDocumentProvider.java (getDocument): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (getParser): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java (updateFoldingRegions): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileLog.java (SpecfileLog): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileProjectionViewer.java (doOperation): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileReconcilingStrategy.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/Messages.java (Messages): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java (setDefaultValues): Likewise.
	(getContent): Likewise.
	(.modifyText): Likewise.
	(createControl): Likewise.

2009-10-22  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (setSpecfile): Remove parts that are autodone in 3.5.

2009-08-12  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/NoExecutableWizardPage.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/Messages.java: Aditional string for NoExecutableWizardPage.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/messages.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizard.java (performFinish): Format.
	(addPages): Conditionalize pages added.
	(throwCoreException): Format.
	(doFinish): Likewise.
	(.run): Likewise.

2009-08-07  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: Fix provider to be Eclipse not Eclipse.org.

2009-07-08  Alphonse Van Assche  <alcapcom@fedoraproject.org>

	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileChangelogScanner.java (SpecfileChangelogScanner): Don't do unneeded stuff.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePackagesScanner.java: Remove unneded code + typo cleanups.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java: Use private static final + typo.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java: : Likewike.

2009-07-07  Alphonse Van Assche  <alcapcom@fedoraproject.org>

	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java: Remove unneeded comments (we target 3.5 now).
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java: Removed unused action.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/Messages.java: Remove no more needed messages.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java (formatDateLine): Resolve defines on the right place.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java (getDefineName): Fix null pointer exception.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java (resolve): Use of Utils.resolveDefines
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java (findWord): Fix hover bug on specfiles that begin with a define.
	(getHoverRegion): Use better var name.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java: Typo cleanups.

2009-06-16  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/RpmSectionPage.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/SpecfileFormEditor.java (addPages): Add pages for %prep/%build/%install.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (getSection): Add method for getting a section by name.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSection.java (setContents): New method for changing contents of the section.
	(getContents): New method for retrieving the content of the section.

2009-06-04  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java: Removed double ;.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Externalize strings. 
	(MainPackagePage): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/SpecfileFormEditor.java (addPages): Likewise.

2009-06-03  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileTag.java (setTagType): Remove it is auto handled now. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Do not set tag type it's auto set now.

2009-06-03  Alexander Kurtakov  <akurtako@redhat.com>
	Support BuildRequires/Requires in the form editor and parser.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Add BuildRequires/Requires fields.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/RpmTagText.java (.modifyText): New constructor.
	(RpmTagText): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (addRequire): Add BuildRequires/Requires fields.
	(getRequires): Likewise.
	(getBuildRequires): Likewise.
	(addBuildRequire): Likewise.
	(Specfile): Likewise.
	(modifyDefine): New method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java (resolve): Remove not needed try/catch.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java (addRequire): Add requires member and accessors.
	(SpecfilePackage): Likewise.
	(getRequires): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Use constants.
	(parseDirectDefinition): Likewise.
	(parseLine): Support Requires parsing.
	(parseComplexDefinition): Use constants.
	(parseBuildRequire): New method.

2009-05-29  Alexander Kurtakov  <akurtako@redhat.com>
	Remove deprecated Preferences usage.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java: Correct constant types.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/SpecTemplatePreferencePage.java (performOk): Don't use deprecated Preferences.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java (update): Likewise.
	(.preferenceChange): Likewise.
	(setPropertyChangeListener): Likewise.

2009-05-26  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (getBuildRequires): Add buildrequires member.
	(setBuildRequires): Likewise. 
	(Specfile): Likewise.
	(modifyDefine): Add NON-NLS.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java (retrievePackageList): Guard /bin/sh execution.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java (setPackagesList): Read .pkglist only when available.

2009-05-20  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/RpmTagText.java (RpmTagText): Fix defines handling.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Support BuildArch and BuildRoot.
	(parseLine): Likewisel
	(simpleDefinitions): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileTag.java (setValue): Set correct type.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java (getPackageDefineId): Fix lower casing.

2009-05-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (modifyDefine): Adapt to SpecfileTag API simplification.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileDefine.java (SpecfileDefine): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Likewise.
	(packageLevelDefinitions): Remove fixed todo.
	(parseSection): Remove unneeded cast.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileTag.java (setValue): Simplify API.
	
2009-05-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Put more meaningful names. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/RpmTagText.java (.modifyText): Support for package specific tags.
	(RpmTagText): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (addDefine): Likewise.
	(getDefine): Likewise.
	(modifyDefine): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileDefine.java (SpecfileDefine): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java (isMainPackage): Utility method to determine the main package.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Suppport for package specific tags.
	(packageLevelDefinitions): Likewise.
	(parseDirectDefinition): Likewise.
	(parseDefine): Likewise.
	(parseLine): Likewise.
	(simpleDefinitions): Likewise.
	(parseSection): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileTag.java (setParent): Likewise.
	(getParent): Likewise.
	(SpecfileTag): Likewise.
	(getIntValue): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmTags.java: Add missing tags.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java (getPackageDefineId): Method to create a package specific define id.
	
2009-05-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java (getGroup): Add group and summary fields and accessors.
	(getSummary): Likewise.
	(setGroup): Likewise.
	(setSummary): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Fix NON-NLS.
	(parseDefine): Likewise.
	(parseComplexDefinition): Likewise. 
	(parsePatch): Likewise.
	(parseSection): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileProjectionViewer.java (removeTextConverter): Use IAutoEditStrategy instead of our own interface.
	(customizeDocumentCommand): Likewise.
	(addTextConverter): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileTabConverter.java: Likewise.
	
2009-05-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Show fields for subpackages Summary and Group.

2009-05-18  Alexander Kurtakov  <akurtako@redhat.com>
	Initial support for subpackages in the form editor. Only names for now.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Display sections for all the subpackages.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java (getFullPackageName): New method for returning the full name of a package.

2009-05-17  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Simplify.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/RpmTagText.java (.modifyText): Make the text responsible for all the data.
	(RpmTagText): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/SpecfileFormEditor.java (doSaveAs): Add comment. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (getDefine): Make sure that define name is lower case.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Extract constant.
	(parseDefine): Likewise.
	(parseComplexDefinition): Likewise.
	(parsePatch): Likewise.
	(parseSection): Likewise.

2009-05-14  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/RpmTagText.java: New file. Add Copyright header.
	* META-INF/MANIFEST.MF: Bump release.

2009-05-13  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Remove commented code. 
	(.modifyText): Connect with the document.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/SpecfileFormEditor.java (addPages): Remove all dirty handling.
	(isDirty): Likewise.
	(doSave): Likewise.
	(SpecfileFormEditor): Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (modifyDefine): Useful method for manipulating define's value.

2009-05-08  Alphonse Van Assche <alcapcom@fedoraproject.org>
	Remove 'No value name after define.' parsing error, this error is now 
	throw by RPM parser through rpmlint.
	
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java: Remove no more needed code. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/message.properties Remove above message string.

2009-05-06  Alphonse Van Assche <alcapcom@fedoraproject.org>
    Convert tab by space (https://bugs.eclipse.org/bugs/show_bug.cgi?id=185227)

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileProjectionViewer.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileTabConverter.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MainPreferencePage.java: Add a checkbox.  
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceInitializer.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/Messages.java: Externalize strings.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/messages.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java: add convert tab by space capability.

2009-04-15  Alexander Kurtakov  <akurtako@redhat.com>

	* .project: Add apianalysis nature.
	* plugin.properties: Better name.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Clean old code. 
	(MainPackagePage): Likewise.
	(.modifyText): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/SpecfileFormEditor.java (addPages): Likewise.
	(isDirty): Likewise.
	(doSaveAs): Likewise.
	(doSave): Likewise.
	(SpecfileFormEditor): Likewise.
	(createToolkit): Likewise.

2009-03-28  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/compare/SpecStructureCreator.java (parseSpecfile): User correct section borders.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Format.
	(complexSections): Likewise.
	(complexDefinitions): Likewise.
	(parseMacro): Set section boundaries.
	(generateTaskMarker): Format.
	(parseDefine): Likewise.
	(parseComplexDefinition): Likewise.
	(parsePatch): Likewise.
	(errorHandler): Likewise.
	(simpleDefinitions): Likewise.
	(directValuesDefinitions): Likewise.
	(parseSection): Set section boundaries.
	(parseDirectDefinition): Format.
	(parseLine): Likewise.
	(simpleSections): Likewise.
	(parse): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSection.java (getPackageName): Format.
	(SpecfileSection): Likewise.
	(setSectionEndLine): Store end line.
	(getSectionEndLine): Likewise.

2009-03-17  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parse): Fix NPE, generateTaskMarker only when taskHandler is present.

2009-03-07  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java (run): Remove empty lines.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorOrganizePatchesActionDelegate.java: Remove notneeded constructor.

2009-03-04  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.moreunit.prefs: Fix template.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java (formatTodaysDate): Make format a constant.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (getVersion): Return default value.
	(getRelease): Likewise.

2009-02-27  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/TagRule.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlink.java: Log error.

2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlink.java (open): Log error.
	(getSource): New method.
	
2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable warning for not used parameters.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java (createChangelogEntry): Drop unused parameter.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java (prepareHyperlink): Likewise.
	(detectHyperlinks): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseMacro): Likewise.
	(parseLine): Likewise.
	(parseComplexDefinition): Likewise. 
	(parsePatch): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (computeSourcesProposals): Likewise.
	(computePatchesProposals): Likewise.
	(computeCompletionProposals): Likewise.
	(computeRpmGroupProposals): Likewise.
	(computeRpmPackageProposals): Likewise.
	(computeRpmMacroProposals): Likewise.
	
	2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (Specfile): Removed, not needed.
	(addDefine): Likewise. 
	(setSources): Likewise.
	(getDefines): Renamed from getDefinesAsList.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurrencesUpdater.java (getMacros): Adapt to Specfile API changes.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (getDefines): Likewise.

2009-02-22  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/compare/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/compare/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/compare/SpecMergeViewer.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/compare/SpecMergeViewerCreator.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/compare/SpecStructureCreator.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/compare/SpecStructureMergeViewerCreator.java: New file.
	* META-INF/MANIFEST.MF: Add dependenci to org.eclipse.compare.
	* plugin.xml: Add compare extensions.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Add final qualifier.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java: Add SPEC_FILE_PARTITIONING constant.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java (getDoubleClickStrategy): Add javadoc.
	(getConfiguredContentTypes): Likewise.

2009-02-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java: Fix copyright.

2009-02-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java (MacroListEditor.selectionChanged): Fix compilation with Eclipse 3.5 M5.

2009-02-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (replaceTagValue): Try to save changes.
	(createFormContent): Likewise.
	(MainPackagePage): Likewise.
	(.modifyText): Likewise.
	
2009-02-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseMacro): Add suppport for %global.
	(parseDefine): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java (DEFINED_MACROS): Likewise.

2009-02-16  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java (pluginSanityCheck): Add check for rpmdev-setuptree existence.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitioner.java: Remove unneeded method.

2009-02-12  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java: Fix completion for groups.

2009-02-10  Alexander Kurtakov  <akurtako@redhat.com>
	Fix for specfile defines without line number and simplification.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java (createFormContent): Put modify listener.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (getVersion): Simplify tags handling by auto creating defines for them.
	(getEpoch): Likewise.
	(addDefine): Likewise.
	(getRelease): Likewise.
	(getName): Likewise.
	(getLicense): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileDefine.java (SpecfileDefine): Create define from tag.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parse): Simplify tags handling.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileTag.java (SpecfileTag): Add empty constructor.

2009-02-09  Alexander Kurtakov  <akurtako@redhat.com>
	Initial version of a form based editor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/MainPackagePage.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/forms/SpecfileFormEditor.java: New file.
	* META-INF/MANIFEST.MF: Add dependency on ui.forms.
	* plugin.xml: Add form based editor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (organizePatches): Replace get[Sources|Patches]AsList with simple get[Sources|Patches] 
	(getSources): Likewise.
	(getPatches): Likewise.
	(setEpoch): Use constants for RPM tags.
	(setVersion): Likewise.
	(setName): Likewise.
	(setRelease): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parse): Set summary.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (getSources): Replace get[Sources|Patches]AsList with simple get[Sources|Patches] 
	(getPatches): Likewise.

2009-02-06  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileContentProvider.java (getChildren): Remove methods that return array.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (getSections): Likewise.
	(getComplexSections): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (getContextType): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java (createFoldingStructure): Likewise.
	
2009-02-06  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java (getMacroEval): Use utils for command invocation.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java (retrievePackageList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java (getRpmInfo): Likewise
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java (runCommandToInputStream): Make it vararg.
	(runCommandToString): Likewise.
	(pluginSanityCheck): Execute directly.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java (runRpmdevNewSpec): Use utils for command invocation.

2009-02-02  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/ISpecfileSpecialSymbols.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/CommentRule.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/MacroRule.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorToggleCommentActionDelegate.java (linesContentCommentChar): Use constant.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java (getDefineName): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (generateTaskMarker): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePackagesScanner.java (SpecfilePackagesScanner): Use specialized rules.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java (SpecfilePartitionScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java (SpecfileScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (getSources): Use constants.
	(computeRpmMacroProposals): Use constants.
	
2009-02-02  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java (SpecfileNewWizardPage): Fix javadoc.
	* .classpath: Make classpath entry refer to J2SE-1.5.

2009-01-28  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java (createChangelogEntry): Fix NON-NLS after externalizing.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java (buildTimeListRateFieldEditor): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/TaskTagsPreferencePage.java (TasksListEditor.getNewInputObject): LIkewise.
	
2009-01-28  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/messages.properties: New file.
	* build.properties: Externalize strings, add copyright year.
	* plugin.properties: Likewise.
	* plugin.xml: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java (createChangelogEntry): Likewise.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java (mergeChangelog): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogParser.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorOrganizePatchesActionDelegate.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorToggleCommentActionDelegate.java (run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/ColorManager.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/AnnotationHover.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/HTML2TextReader.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/HTMLTextPresenter.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/LineBreakingReader.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/SingleCharReader.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/SubstitutionTextReader.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/IStrictWordDetector.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/KeywordWordDetector.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/MacroWordDetector.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/PatchNumberDetector.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/SuffixNumberDetector.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/TagWordDetector.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlink.java (getHyperlinkText): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlinkDetector.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java (getDefineName): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/ISpecfileColorConstants.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileErrorHandler.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileMarkerHandler.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileTaskHandler.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/NonRuleBasedDamagerRepairer.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileContentOutlinePage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileContentProvider.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileLabelProvider.java (getText): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SourceComparator.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileDefine.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileMacro.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackageContainer.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParseException.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Likewise.
	(parseDefine): Likewise.
	(parseComplexDefinition): Likewise.
	(parsePatch): Likewise.
	(parseSection): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePatchMacro.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePreamble.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSection.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSource.java (changeDeclaration): Likewise.
	(changeReferences): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileTag.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java (MacroListEditor.createButtons): Likewise.
	(createFieldEditors): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MainPreferencePage.java (changelogEntryFormatFieldEditor): Likewise.
	(createContents): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmInformationsPreferencePage.java (createFieldEditors): Likewise.
	(maxProposalsIntegerFieldEditor): Likewise.
	(RpmInformationsPreferencePage): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java (rpmtoolsRadioGroupFieldEditor): Likewise.
	(createFieldEditors): Likewise.
	(buildTimeListRateFieldEditor): Likewise.
	(createContents): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/TaskTagsPreferencePage.java (TasksListEditor.getNewInputObject): Likewise.
	(createFieldEditors): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java (buildMacroList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java (retrievePackageList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java (getProposals): Likewise.
	(getRpmInfo): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmTags.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/AuthorEmailRule.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/SectionRule.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/StringWithEndingRule.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/TagRule.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/VersionReleaseRule.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileChangelogScanner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java (getContentAssistant): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileDoubleClickStrategy.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (createActions): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditorMessages.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileLog.java (logError): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitioner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileReconcilingStrategy.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizard.java (performFinish): Likewise.
	(doFinish): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java (dialogChanged): Likewise.
	(populateTemplateCombo): Likewise.
	(SpecfileNewWizardPage): Likewise.
	(handleBrowse): Likewise.
	(createControl): Likewise.
	* templates/templates.xml: Likewise.

2009-01-22  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java (getRpmPackageList): Add missing NON-NLS.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizard.java (throwCoreException): Use the constant for plugin id.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java (throwCoreException): Likewise.

2009-01-21  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable warnings for non externalized strings.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java (createChangelogEntry): Add missing NON-NLS.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java (mergeChangelog): Likewise.
	(formatDateLine): Likewise.
	(formatTodaysDate): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogParser.java (parseCurrentFunction): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorToggleCommentActionDelegate.java (linesContentCommentChar): Likewise.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java (getContextTypeRegistry): Likewise.
	(getTemplateStore): Likewise.
	(.accept): Likewise.
	(getRpmGroups): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/HTML2TextReader.java (html2Text): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/MailHyperlinkDetector.java (detectHyperlinks): Likewise.
	(getBody): Likewise.
	(getSubject): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlink.java (open): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlinkDetector.java (detectHyperlinks): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java (detectHyperlinks): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileErrorHandler.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileTaskHandler.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileContentProvider.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileLabelProvider.java (getText): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java (setEpoch): Likewise.
	(setVersion): Likewise.
	(setName): Likewise.
	(setRelease): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java (resolve): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java (SpecfilePackage): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java (parseSimpleDefinition): Likewise.
	(parseMacro): Likewise.
	(parseDirectDefinition): Likewise.
	(generateTaskMarker): Likewise.
	(parseDefine): Likewise.
	(parseLine): Likewise.
	(parseComplexDefinition): Likewise.
	(parsePatch): Likewise.
	(parse): Likewise.
	(parseSection): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePatchMacro.java (toString): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSection.java (toString): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSource.java (changeDeclaration): Likewise.
	(toString): Likewise.
	(SpecfileSource): Likewise.
	(changeReferences): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileTag.java (toString): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java (MacroListEditor.createList): Likewise.
	(MacroListEditor.parseString): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MainPreferencePage.java (.widgetSelected): Likewise.
	(createLocalesCombo): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java (rpmtoolsRadioGroupFieldEditor): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/TaskTagsPreferencePage.java (TasksListEditor.parseString): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurrencesUpdater.java (update): Likewise.
	(isMacro): Likewise.
	(getWordAtSelection): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java (getValue): Likewise.
	(getProposals): Likewise.
	(addMacroToMap): Likewise.
	(buildMacroList): Likewise.
	(getMacroEval): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java (retrievePackageList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java (getRpmInfo): Likewise.
	(getformattedRpmInformations): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmSections.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmTags.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/TagRule.java (TagRule): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileChangelogScanner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePackagesScanner.java (SpecfilePackagesScanner): Likewise.
	(PACKAGES_TAGS): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java (SpecfilePartitionScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java (keywords): Likewise.
	(SpecfileScanner): Likewise.
	(DEFINED_MACROS): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (getSources): Likewise.
	(computeTemplateProposals): Likewise.
	(getDefines): Likewise.
	(getPatches): Likewise.
	(getPrefix): Likewise.
	(computeRpmMacroProposals): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (SpecfileEditor): Likewise.
	(getResourceBundle): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java (getSourceOrPatchValue): Likewise.
	(getMacroValueFromMacroList): Likewise.
	(getHoverInfo): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitioner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java (inputStreamToString): Likewise.
	(pluginSanityCheck): Likewise.
	(resolveDefines): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizard.java (throwCoreException): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java (setTemplateTagValue): Likewise.
	(dialogChanged): Likewise.
	(populateTemplateCombo): Likewise.
	(getContent): Likewise.
	(throwCoreException): Likewise.
	(.modifyText): Likewise.
	(runRpmdevNewSpec): Likewise.
	(getFileName): Likewise.

2009-01-15  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable validity javadoc warnings.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java 
	(getImage): Fix javadoc.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlink.java 
	(SourcesFileHyperlink): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java 
	(setEpoch): Likewise.
	(setVersion): Likewise.
	(setName): Likewise.
	(setRelease): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java 
	(MacroListEditor.getButtonBoxControl): Likewise.
	(MacroListEditor.getListControl): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurrencesUpdater.java 
	(update): Likewise.
	(RpmMacroOccurrencesUpdater): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java 
	(getValue): Likewise.
	(getProposals): Likewise.
	(findKey): Likewise.
	(getMacroEval): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileLog.java 
	(logInfo): Likewise.
	(logError): Likewise.
	(log): Likewise.
	(createStatus): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java 
	(resolveDefines): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java 
	(SpecfileNewWizardPage): Likewise.

2009-01-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Add back qualifier for trunk.
	
2009-01-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Bump release for Linuxtools 0.1 release.

2009-01-14  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileDocumentProvider.java 
	(getDocument): Create new partitioner and connect it only if we are going to set it to the document.
	Should fix #260868.

2009-01-12  Alexander Kurtakov  <akurtakov@gmail.com>

	* .settings/org.moreunit.prefs: New file. Set tests projects as the tests provider for moreunit users.
	* META-INF/MANIFEST.MF: Add qualifier to version.

2009-01-09  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java 
	(mergeChangelog): Fix 260446.

2009-01-06  Alexander Kurtakov  <akurtakov@gmail.com>

	* META-INF/MANIFEST.MF: Bump release to 0.4.1.

2008-12-11  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix #255760.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java 
	(rpmGroups): New member to store rpm groups.
	(getRpmGroups): Fetch rpm groups from the system file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java 
	(SpecfilePartitionScanner): Initialize spec_group token.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java 
	(computeCompletionProposals): Add special handling for rpm groups proposals.
	(computeRpmGroupProposals): Compute rpm group proposals.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java 
	(getContentAssistant): Add support for rpm group partition.
	(getPresentationReconciler): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java 
	(populateGroupCombo): Use Activator's method for fetching groups. 
	(createControl): Remove unneeded exception.

2008-12-04  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmTags.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java: Use constants from RpmTags.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmInformationsPreferencePage.java 
	(createFieldEditors): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmSections.java: Make it interface.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java 
	(TAGS): Use constants from RpmTags.
	(SpecfileScanner): Likewise.

2008-12-02  Alexander Kurtakov  <akurtakov@gmail.com>

	* plugin.xml: Add extension to the document provider.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java 
	(SpecfilePartitionScanner): Use section constants.

2008-11-30  Alexander Kurtakov  <akurtakov@gmail.com>
	Use foreach to make code more readable.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java 
	(run): Use foreach to make code more readable.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java 
	(mergeChangelog): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/ContainsFilter.java 
	(hasUnfilteredChild): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java 
	(parseMacro): Likewise.
	(parseLine): Likewise.
	(parseSection): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java 
	(buildMacroList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileChangelogScanner.java 
	(SpecfileChangelogScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePackagesScanner.java 
	(SpecfilePackagesScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java 
	(SpecfilePartitionScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java 
	(SpecfileScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java 
	(computeTemplateProposals): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitioner.java 
	(printPartitions): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java 
	(populateTemplateCombo): Likewise.

2008-11-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Cleanup derived classed to not show so many warnings.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/AnnotationHover.java 
	(getAnnotations): Generify.
	(computeCoverage): Likewise.
	(select): Likewise.
	(getHoverRegion): Likewise.
	(getHoverInfo): Likewise.
	(formatMultipleMessages): Likewise. 
	(computeHoverMessage): 
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/HTML2TextReader.java 
	(computeSubstitution): Add @Override.
	(entity2Text): Remove unneeded cast.
	(static initializer): Generify.
	(read): Add @Override.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/HTMLTextPresenter.java 
	(adaptTextPresentation): Generify.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/SingleCharReader.java 
	(read): Add @Override.
	(ready): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/SubstitutionTextReader.java 
	(reset): Likewise.
	(read): Likewise.
	(ready): Likewise.
	(close): Likewise.

2008-11-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Removed unused classes.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/SpecfileWhitespaceDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileTagScanner.java: Removed.

2008-11-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Move SpecfileTagScanner to scanners package and remove wrong todos.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileTagScanner.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileTagScanner.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/KeywordWordDetector.java 
	(isWordStart): Removed wrong auto generated todo.
	(isWordPart): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/TagWordDetector.java 
	(isWordStart): Likewise.
	(isWordPart): Likewise.

2008-11-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Move SpecfileScanner and SpecfileCompletionProcessor to correct packages.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileCompletionProcessor.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileScanner.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java: Adopt imports.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java: Adopt imports.

2008-11-28  Alexander Kurtakov  <akurtakov@gmail.com>
	Extract detectors, rules and scanners packages.
	* src/org/eclipse/linuxtools/rpm/ui/editor/AuthorEmailRule.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/IStrictWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/KeywordWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/MacroWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/PackageWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/PatchNumberDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SectionRule.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileChangelogScanner.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePackagesScanner.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitionScanner.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileWhitespaceDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/StringWithEndingRule.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SuffixNumberDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/TagRule.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/TagWordDetector.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/VersionReleaseRule.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/IStrictWordDetector.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/KeywordWordDetector.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/MacroWordDetector.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/PackageWordDetector.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/PatchNumberDetector.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/SpecfileWhitespaceDetector.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/SuffixNumberDetector.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/detectors/TagWordDetector.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/AuthorEmailRule.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/SectionRule.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/StringWithEndingRule.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/TagRule.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/rules/VersionReleaseRule.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileChangelogScanner.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfileCompletionProcessor.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePackagesScanner.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/scanners/SpecfilePartitionScanner.java: New file.
	* META-INF/MANIFEST.MF: Export scanners package.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java: Adapt imports to the moved classes.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java: Likewise
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileDocumentProvider.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java (getInputDocument): Make it public to allow tests compilation.

2008-11-27  Alexander Kurtakov  <akurtakov@gmail.com>
	Use Java 5 apis.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java 
	(run): Use StringBuilder.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java 
	(mergeChangelog): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorToggleCommentActionDelegate.java 
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/AuthorEmailRule.java 
	(unreadBuffer): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java 
	(getComplexSectionsElements): Removed - not needed.
	(getSectionsElements): Likewise.
	(getSections): Returns SpecfileElement[].
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java 
	(MacroListEditor.createList): Use StringBuilder.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java 
	(getMacroEval): Use ProcessBuilder instead of Runtime.exec.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java 
	(retrievePackageList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java 
	(getRpmInfo): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SectionRule.java 
	(unreadBuffer): Use StringBuilder.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java 
	(getContextType): Fix for Specfile method renaming.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java 
	(addFoldingRegions): Remove not thrown Exception.
	(updateFoldingRegions): Likewise.
	(createFoldingStructure): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitioner.java 
	(printPartitions): Use StringBuilder.
	* src/org/eclipse/linuxtools/rpm/ui/editor/StringWithEndingRule.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/VersionReleaseRule.java 
	(VersionReleaseRule): Likewise.
	(unreadBuffer): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java 
	(runRpmdevNewSpec): Use ProcessBuilder.

2008-11-27  Alexander Kurtakov  <akurtakov@gmail.com>
	Simplify API and cleanup.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileErrorHandler.java 
	(handleError): Remove unneeded return.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileMarkerHandler.java 
	(getCharOffset): Remove unneeded Integer.valueOf.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileTaskHandler.java
	(handleTask): Remove unneeded return. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java 
	(getComplexSections): Removed.
	(getDefinesAsArray): Likewise.
	(getPatchesAsArray): Likewise.
	(getSourcesAsArray): Likewise.
	(getDefinesAsList): Really return List.
	(getPatchesAsList): Likewise.
	(organizePatches): Remove commented debug code.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurrencesUpdater.java 
	(getMacros): Generify.
	(isMacro): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java 
	(computeSourcesProposals): Use List insteda of array.
	(computeTemplateProposals): Likewise.
	(computePatchesProposals): Likewise.
	(computeCompletionProposals): Likewise.
	(computeRpmPackageProposals): Likewise.
	(computeRpmMacroProposals): Likewise.

2008-11-26  Alexander Kurtakov  <akurtakov@gmail.com>
	Move marker handlers to a separate package and extract base class.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileErrorHandler.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileTaskHandler.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileErrorHandler.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileMarkerHandler.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/markers/SpecfileTaskHandler.java: New file.
	* META-INF/MANIFEST.MF: Export org.eclipse.linuxtools.rpm.ui.editor.markers package.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java 
	(parse): Clean task markers when parsing.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/TaskTagsPreferencePage.java 
	(createContents): Removed method that just calls super. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java: Fix imports.

2008-11-25  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix #255412.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/TaskTagsPreferencePage.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileTaskHandler.java: New file.
	* plugin.xml: Add preference page and marker for tasks.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java 
	(SpecfileParser): Store a IPreferenceStore in a member.
	(setTaskHandler): Set the SpecfileTaskHandler.
	(generateTaskMarker): Generate task marker when needed.
	(parse): Invoke generateTaskMarker to check for task markers.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java 
	(DP_TASK_TAGS): Initial value.
	(P_TASK_TAGS): Task tags key.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceInitializer.java 
	(initializeDefaultPreferences): Initialize task tags.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java 
	(validateAndMark): Set the task tags handler.

2008-11-19  Alexander Kurtakov  <akurtakov@gmail.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable more warnings.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java: Commented unneeded var. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java 
	(handleBrowse): Use constant from the defining class.

2008-11-11  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix #254925.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java: 
	(detectHyperlinks): Fix detection.
	(prepareHyperlink): New method with the index in the line where the hyperlink starts.

2008-11-01  Alexander Kurtakov  <akurtakov@gmail.com>

	* build.properties: Add plugin.properties to bin.includes.

2008-10-31  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix for #230022.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java 
	(DEFINED_MACROS): Make it public.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java 
	(findWord): Fix the word finding so %doc and %defattr works.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java 
	(buildMacroList): Add the buildin macros to the proposals list.

2008-10-31  Andrew Overholt  <overholt@redhat.com>

	* plugin.properties: Initial import.
	* META-INF/MANIFEST.MF: Use plugin.properties.  Add "(Incubation)".

2008-10-20  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix deprecations.
	* META-INF/MANIFEST.MF:
	Use Bunde-ActivationPolicy instead of the deprecated Eclipse-LazyStart.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java:
	(getInformationControlCreator): Use the new DefaultInformationControl constructor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java:
	(getHoverControlCreator): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileQuickOutlineDialog.java:
	(SpecfileQuickOutlineDialog): Use the new PopupDialog constructor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePatchMacro.java:
	(SpecfilePatchMacro): Comment unused member.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/SpecTemplatePreferencePage.java:
	Drop redundant interface implements.

2008-10-18  Alexander Kurtakov  <akurtakov@gmail.com>
	Add hyperlink for Source and Patch definitions.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java:
	(getHyperlinkDetectors): Register new detector.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlink.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SourcesFileHyperlinkDetector.java:
	Likewise.

2008-07-03  Alexander Kurtakov  <akurtakov@gmail.com>
	Show %patch autocomplete only in %prep section.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java:
	(computeCompletionProposals): Activate patchesProposals only in SPEC_PREP section.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java:
	(getContentAssistant): Add content assist processor for SPEC_PREP.
	(getPresentationReconciler): Register SPEC_PREP.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitionScanner.java:
	(SpecfilePartitionScanner): Add SPEC_PREP section.

2008-07-03  Alexander Kurtakov  <akurtakov@gmail.com>
	Enums for SpecfileSource.sourceType and SpecfileTag.tagType.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parsing/SpecfileParser.java:
	(parse): Use SourceType instead of int.
	(parseComplexDefinition): Likewise.
	(parseLine): Likewise.
	(parseSimpleDefinition): Use TagType instead of int.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parsing/SpecfileSource.java:
	(SourceType): New enum for the sourceType.
	(getSourceType): Use SourceType instead of int.
	(setSourceType): Likewise.
	(toString): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parsing/SpecfileTag.java:
	(TagType): New enum for the tagType.
	(SpecfileTag): Use TagType instead of int.
	(getStringValue): Likewise.
	(getTagType): Likewise.
	(setTagType): Likewise.
	(toString): Likewise.

2008-07-03  Alexander Kurtakov  <akurtakov@gmail.com>
	Simplify parsing.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parsing/Specfile.java:
	(addDefine(String, int)): New method.
	(addDefine(String, String)): Likewise.
	(getComplexSectionElements): Use Collection.toArray instead of cycling elements.
	(getPatch): No need to convert int to Integer it is autoboxed.
	(getSectionElements): Use Collection.toArray instead of cycling elements.
	(getSource): No need to convert int to Integer it is autoboxed.
	(printArray): Removed unused method.
	(setEpoch): Add/update define on setting epoch.
	(setName): Likewise.
	(setRelease): Likewise.
	(setVersion): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parsing/SpecfileParser.java:
	(parse): No need to set defines by hand due to the autosetting in Specfile.
	(parseSection): Format.

2008-07-02  Alexander Kurtakov  <akurtakov@gmail.com>
	More cleanups.
	* src/org/eclipse/linuxtools/rpm/ui/editor/ColorManager.java:
	Use foreach instead of iterator.
	* src/org/eclipse/linuxtools/rpm/ui/editor/NonRuleBasedDamagerRepairer.java:
	Remove usage of deprecated Assert.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurencesUpdater.java:
	Use foreach instead of iterator.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java:
	(getProposals): Likewise.
	(toString): Add @Override.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java:
	(run): Likewise.
	(shouldSchedule): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java:
	(getProposals): Use foreach instead of iterator.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileChangelogScanner.java:
	(nextToken): Add @Override.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java:
	(computePatchesProposals): Use foreach instead of iterator.
	(computeRpmMacroProposals): Likewise.
	(computeRpmPackageProposals): Likewise.
	(computeSourceProposals): Likewise.
	(getDefines): Likewise.
	(getPatches): Likewise.
	(getSources): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java:
	Add @Override where needed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileErrorHandler.java:
	Use Integer.valueOf instead of new Integer.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java:
	(computeAdditions): Use foreach instead of iterator.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitioner.java:
	(computePartitioning): Removed, it simply calls super method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/TagRule.java:
	(sequenceDetected): Add @Override.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java:
	(createChangelogEntry): No need for new String(String).
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java:
	(formatDateLine): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java:
	Use Integer.valueOf instead of new Integer.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSource.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java:
	(rpmtoolsRadioGroupFieldEditor): Use foreach instead of iterator.

2008-06-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Various cleanups.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java:
	(start): Add missing @Override.
	(stop): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java:
	Remove unneeded import.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePackagesScanner.java:
	(SpecfilePackagesScanner): Use foreach instead of iterator.
	(nextToken): Add missing @Override.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitioner.java:
	(computePartitioning): Likewise.
	(connect): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParseException:
	Add serialVersionUID.

2008-06-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Make missing @Override and @Deprecate warnings.
	* .settings/org.eclipse.jdt.core.prefs: Missing @Override and @Deprecate should
	be warnings.

2008-06-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Do not show simple sections in the subpackages + cleanup.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java:
	(toString): Add @Override.
	(getSections): Removed unneeded foreach.
	(getPackage): Add @Override.
	(getPackageName): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java:
	(simpleSections): Add %clean.
	(complexSections): Remove %clean.
	(parseSections): Do not add simple sections to the subpackages.

2008-06-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Add missing @Override.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/MailHyperlink.java:
	(open): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/URLHyperlinkWithMacroDetector.java:
	(detectHyperlinks): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileContentOutlinePage.java:
	(createControl): Likewise.
	(selectionChanged): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalPreferencePage.java:
	(MacroListEditor): Likewise.
	(createFieldEditors): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MainPreferencePage.java:
	(createContents): Likewise.
	(createFieldEditors): Likewise.
	(createLocalesCombo): Likewise.
	(performDefaults): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceInitializer.java:
	(initializeDefaultPreferences): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmInformationsPreferencePage.java:
	(createFieldEditors): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java:
	(createContents): Likewise.
	(createFieldEditors): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/SpecTemplatePreferencePage.java:
	(isShowFormatterSetting): Likewise.
	(performOK): Likewise.

2008-06-29  Alphonse Van Assche  <alcapcom@gmail.com>

	* META-INF/MANIFEST.MF: bump to 0.4.0

2008-06-27  Alexander Kurtakov  <akurtakov@gmail.com>
	Add quick outline.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorShowOutlineActionDelegate.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outlin/ContainsFilter.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outlin/SpecfileQuickOutlineDialog.java:
	Likewise.
	* plugin.xml: Add the quick outline action.

2008-05-14  Alphonse Van Assche  <alcapcom@gmail.com>

	Add folding on all complex sections.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java
	(getComplexSectionsAsList): New method.
	(addComplexSection): Likewise.
	(getComplexSections):Likewise.
	(getComplexSectionsElements): Likewise.
	(getSectionsAsList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java
	(parseSection): Add complex sections.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java
	(addFoldingRegions): Likewise.
	(createFoldingStructure): Likewise.
	(ElementByLineNbrComparator): New inner class.

2008-05-13  Alexander Kurtakov  <akurtakov@gmail.com>

	Exctract rpm sections to a separate class.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmSections.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitionScanner.java:
	Use sections from RpmSections.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java: Likewise.

2008-05-12  Alphonse Van Assche  <alcapcom@gmail.com>

	Add support to detect mail hyperlink. To make a try, just select a
	part of text in the specfile and <ctrl> + click on a mail address.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/MailHyperlink.java: New
	file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/MailHyperlinkDetector.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/URLHyperlinkWithMacroDetector.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/URLHyperlinkWithMacroDetector.java:
	Moved.
	* .classpath: add StandardVMType/J2SE-1.5.
	* META-INF/MANIFEST.MF: export hyperlink package.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java
	(getPresentationReconciler):
	(getHyperlinkDetectors): Add mail detector.
	(getHyperlinkDetectorTargets): Add java doc.
	(getTextHover): likewise.
	(getDoubleClickStrategy): likewise.
	(getConfiguredContentTypes): likewise.

2008-05-10  Alexander Kurtakov  <akurtakov@gmail.com>

	Add support for %pretrans and %posttrans sections
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitionScanner.java:
	Add definitions.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/editor/SpecfileParser.java:
	(parseSection): Prevent NPE when the section is not defined and add definitions
	for %pretrans and %posttrans.

2008-05-02  Andrew Overholt  <overholt@redhat.com>

	Bug #230024
	* META-INF/MANIFEST.MF: Bump BREE to J2SE-1.5

2008-04-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Generify.
	* src/org/eclipse/linuxtools/rpm/ui/editor/ColorManager.java
	(dispose): Generify.
	(getColor): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurencesUpdater.java
	(removeOldAnnotations): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java
	(getProposals): Likewise.
	(getValue): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileChangelogScanner.java
	(SpecfileChangelogScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java
	(addFoldingRegions): Likewise.
	(computeAdditions): Likewise.
	(computeDifferences): Likewise.
	(createFoldingStructure): Likewise.
	(updateFoldingRegions): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePackagesScanner.java
	(SpecfilePackagesScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitionScanner.java
	(SpecfilePartitionScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java
	(SpecfileScanner): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java
	(MacroListEditor.parseList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java
	(rpmtoolsRadioGroupFieldEditor): Likewise.

2008-04-27  Alphonse Van Assche  <alcapcom@gmail.com>

	IFileStore don't give possibility to mark resources or to get a IFile, so some
	functionality cannot be provided on file outside a workspace - The Java editor
	seem to do the same thing.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java
	(prepareHyperlink): Prepare links only for specfile inside the workspace.
	(detectHyperlinks): Only provides this functionality for existing patches and
	sources.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileElement.java
	(resolve): Don't throw unexpected exceptions.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java
	(getValue): Generify.
	(getProposals): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java
	(computeSourcesProposals): Likewise.
	(getSources): Likewise.
	(ProposalComparator): Likewise.
	(computeTemplateProposals): Likewise.
	(ProposalComparator.compare): Likewise.
	(getDefines): Likewise.
	(computePatchesProposals): Likewise.
	(getPatches): Likewise.
	(computeCompletionProposals):Likewise. (computeRpmPackageProposals): Likewise.
	(computeRpmMacroProposals): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileDocumentProvider.java
	(getDocument): Now we extends TextFileDocumentProvider - Fix File->Open File
	bug.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java
	(getInputFile): Return null if the IEditorInput instance is not of type IFileEditorInput.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileErrorHandler.java
	(handleError): Handle errors only on specfile inside a workspace.
	(removeExistingMarkers): Likewise.
	* META-INF/MANIFEST.MF: Bump to 0.3.0

2008-04-10  Alexander Kurtakov  <akurtakov@gmail.com>

	Bug #226546
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileComparator.java: Generify.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackageContainer.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSource.java: Likewise.

2008-04-10  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java:
	Add directValuesDefinitions used for License, fixes LicenseTagTest.

2008-04-06  Alexander Kurtakov  <akurtakov@gmail.com>

	Make %{SOURCE} and %patch hyperlinks to ease navigation.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java:
	Extend TextSourceViewerConfiguration, register SpecfileElementHyperlinkDetector.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlink.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/hyperlink/SpecfileElementHyperlinkDetector.java:
	New file.

2008-04-01  Alexander Kurtakov  <akurtakov@gmail.com>

	* .classpath:
	The minimum java version is 5 now.
	* .settings/org.eclipse.jdt.core.prefs:
	Bump the compiler lever to 5 now and auto changes from eclipse.

2008-03-21  Alexander Kurtakov  <akurtakov@gmail.com>

	* plugin.xml: Define org.eclipse.linuxtools.rpm.ui.specEditorScope context
	and register key sequence="Ctrl+Shift+O" in it ,fix conflict with Java editor
	which disables "Organize imports" key binding.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java:
	Set own key binding scope "org.eclipse.linuxtools.rpm.ui.specEditorScope" .

2008-03-17  Alexander Kurtakov  <akurtakov@gmail.com>

	Bug #217316
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java:
	Add interface for adding directories to Macro completion list

2008-01-23  Alphonse Van Assche  <alcapcom@gmail.com>
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java
	Backup package list only if the file existing + strings cleanups.

2008-01-18  Alexander Kurtakov  <akurtakov@gmail.com>

	Bug #215788, 215771
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java:
	Handle directories with macros files.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java:
	Remove License from simple tags.


2008-01-04  Alexander Kurtakov  <akurtakov@gmail.com>

	Bug #214217
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileCompletionProcessor.java:
	Enable auto-complete for the defined sources in the spec.

2008-01-03  Andrew Overholt  <overholt@redhat.com>

	Bug #206964
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java:
	Remove 1.5 API call.

2007-12-15  Alphonse Van Assche  <alcapcom@gmail.com>

	* META-INF/MANIFEST.MF: Bump to 0.2.1

2007-12-15  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #212781 + some cleanups
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MainPreferencePage.java:
	Add Changelog format preferences.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceInitializer.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java
	(parse): Remove existing markers only when SpecfileErrorHandler is instantiated.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java
	(formatDateLine): Changelog entry format based on prefs.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java
	(resolveDefines): Copy from URLHyperlinkWithMacroDetector.
	* src/org/eclipse/linuxtools/rpm/ui/editor/URLHyperlinkWithMacroDetector.java:
	Move resolveDefines() to Utils.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java
	(propertyListener): Run the job only when P_CURRENT_RPMTOOLS preference change.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java:
	Remove unused import.

2007-11-28  Alphonse Van Assche  <alcapcom@gmail.com>

	Add support for URPM tool and cancel support to RpmPackageBuildProposalsJob.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java
	(rpmtoolsRadioGroupFieldEditor): Add urpm support.
	(buildTimeListRateFieldEditor): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java
	(DP_RPMTOOLS_URPM): New const.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java: Using
	HashSet list to advoid duplicate package.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java
	(update): Cancel support.
	(retrievePackageList): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java
	(copyFile): New method.
	(fileExist): New method.
	(pluginSanityCheck): Add package list preferences sanity checks.

2007-11-21  Andrew Overholt  <overholt@redhat.com>

	Bug #207207
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java
	(parseSimpleDefinition): Allow macros in simple definitions
	(Alexander Kurtakov).2007-10-14 Alphonse Van Assche <alcapcom@gmail.com>Bug #206160* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java(start):
	Add sanity checks, at this time we only check if ~/.rpmmacros file exist and in
	the case at this file don't exist we run rpmdev-setuptree to create it.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Utils.java: New File.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java
	(RPMMACRO_FILE): New Constant. Bug
	https://bugzilla.redhat.com/show_bug.cgi?id=327101
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java
	(computePatchesProposals): Remove accidentally added code.

2007-09-25  Alphonse Van Assche  <alcapcom@gmail.com>

	Add key bindings for Toggle Comment and Organize Patches actions.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorToggleCommentActionDelegate.java:
	Implement IWorkbenchWindowActionDelegate interface.
	(selectionChanged): Set/update the editor member when the selection change.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorOrganizePatchesActionDelegate.java
	Implement IWorkbenchWindowActionDelegate interface.
	(selectionChanged): Set/Update the editor member when the selection change.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java
	(getActiveEditor): New method.
	* plugin.xml: Add extension points for these key bindings.

2007-09-24  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #204146
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileContentOutlinePage.java
	(selectionChanged): Set the length parameter of editor#setHighlightRange method
	to 1.

2007-09-24  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #204150
	(Clean fix) * src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java (computePatchesProposals):
	New method.
	(getDefines): Rename method.
	(getPatches): New method.
	(computeCompletionProposals): Add patches proposals.

2007-09-24  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #204150
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java
	(getDefinesName): Add completion for patches.

2007-09-24  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java:
	Throw CoreException if /usr/share/doc or /etc/rpmdevtools dir are not found.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java: Using SpecfileLog.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSource.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfilePackageContainer.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogAction.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/URLHyperlinkWithMacroDetector.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitioner.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileErrorHandler.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurrencesUpdater.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizard.java:
	Likewise.

2007-05-04  Andrew Overholt  <overholt@redhat.com>

	Bug #199172
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java:
	Add method required by ChangeLog HEAD.

2007-07-18  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java:
	(dialogChanged): Fix a little mistake with String#indexOf

2007-07-17  Alphonse Van Assche  <alcapcom@gmail.com>

	Build RPM proposal list in a background task job, the list can be update when
	the plugin is loader, once a week or once a month.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageBuildProposalsJob.java: New
	Class that initialize and update the packages proposal list.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java: Add property change
	listener and call RpmPackageBuildProposalsJob#update in the start method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java:
	Updating to use the new job to update package proposal list strategy.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceInitializer.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java:
	Likewise.

2007-07-17  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java: Add
	defines in proposals. Don't show templates in package context and retrieve
	proposals only when it's needed. Cleanup javadoc and remove some unneeded methods
	args.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java:
	(getDefinesName): New method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/URLHyperlinkWithMacroDetector.java:
	Cleanup.

2007-07-16  Alphonse Van Assche  <alcapcom@gmail.com>

	Implement toggle comment like in JDT.
	* plugin.xml: Add comment toggle action. Add our document provider.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileEditorToggleCommentActionDelegate.java:
	New action.

2007-07-14  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java:
	Replace String#contains by String#indexOf for JRE 1.4 compatibility.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java: Moving
	Annotation Hover to derived package.
	* Too many files to list: Add contributor line.

2007-07-13  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePackagesScanner.java: Fix
	copyright.
	* src/org/eclipse/linuxtools/rpm/ui/editor/PackageWordDetector.java: Likewise.

2007-07-05  Andrew Overholt  <overholt@redhat.com>

	* Too many files to list: Add standard copyright and license header.

2007-06-25  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java:
	(dialogChanged): Forgot to add '>' char as un-acceptable character for the Name
	tag.

2007-06-25  Alphonse Van Assche  <alcapcom@gmail.com>

	Add a wizard for new specfile based on a template provided by the rpmdevtools
	package.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizard.java: New
	File.
	* src/org/eclipse/linuxtools/rpm/ui/editor/wizards/SpecfileNewWizardPage.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileLog.java: Likewise, The
	logger of convenience for the Specfile Plug-In.
	* plugin.xml: Add extensions points for the wizard.

2007-06-22  Alphonse Van Assche  <alcapcom@gmail.com>

	* META-INF/MANIFEST.MF: Add new dependencie "com.ibm.icu" for LineBreakingReader
	derived class.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileErrorHandler.java:
	(setDocument): New method. It is used by the rpmlint Plug-In.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileErrorHandler.java:
	(setFile): Likewise.
	(parse): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java: Using the derived
	HTMLTextPresenter class. That make the plugin compatible with both 3.2 and 3.3
	Eclipse versions.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/HTML2TextReader.java: New New
	derived class.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/SubstitutionTextReader.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/SingleCharReader.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/LineBreakingReader.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/derived/HTMLTextPresenter.java:
	Likewise.

2007-06-20  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java
	(dispose): Set specfile field to null, useful for test cases.
	(getSpecfileSourceViewer): New method used by HyperlinkWithMacroTests.

2007-06-20  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurrencesUpdater.java
	(isDefineChar): Add '?' char as define limiter.
	* src/org/eclipse/linuxtools/rpm/ui/editor/PackageWordDetector.java
	(isWordPart): Add '+' char.
	* icons/occurence_obj.gif New file.

2007-06-05  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #182633
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java
	(getImage): New method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/outline/SpecfileLabelProvider.java
	(PREAMBLE_ICON): New global var for icon.
	(SECTION_ICON): Likewise.
	(PACKAGES_ICON): Likewise.
	(PACKAGE_ICON): Likewise.
	(getImage): Take the above icons in account.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java
	(TEMPLATE_ICON): New global var for icon.
	(computeTemplateProposals): Using Activator.getImage() method.
	(computeRpmMacroProposals): Likewise.
	(computeRpmPackageProposals): Likewise.

2007-06-05  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug: #184955
	* plugin.xml: add org.eclipse.ui.editors.markerAnnotationSpecification extension
	point.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java
	(getHoverInfo): using new methods.
	(getSourceOrPatchValue): New method used by RpmMacroOccuencesUpdater.
	(getMacroValueFromMacroList): New method used by RpmMacroOccuencesUpdater.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java
	(getAnnotationHover): overload of getAnnotationHover() method from
	SourceViewerConfiguration.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java
	(getDefinesAsList): New method.
	(getDefinesAsArray): New method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroOccurrencesUpdater.java: New
	file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/AnnotationHover.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java
	(setSpecfile): update macro occurences.

2007-06-04  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java
	(parsePatch): Parse %patch macro and Patch: directive without trailing number.
	(parseComplexDefinition): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileSource.java
	(changeReferences): Likewise.
	(changeDeclaration): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java
	(SpecfileScanner): Scan %patch macro without trailing number.
	* src/org/eclipse/linuxtools/rpm/ui/editor/URLHyperlinkWithMacroDetector.java
	(detectHyperlinks): Check if IHyperlink[] is not null before try to get the
	lenght of it.

2007-06-04  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java
	Fix ChangeLog entry action.
	(formatDateLine): Add escape char in pattern %{?dist} tag.

2007-05-04  Andrew Overholt  <overholt@redhat.com>

	Bug #185598
	* META-INF/MANIFEST.MF: Add "Incubation" to Bundle-Name.

2007-04-14  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #182302
	* src/org/eclipse/linuxtools/rpm/ui/editor/PackageWordDetector.java
	(isWordPart): Detect packages contain '_' char.
	(isWordStart): Add support for packages begining with ' ' | ',' | '\t' | ':'
	char.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java
	(parseLine): Fix tags parsing.
	(parseSimpleDefinition): Don't show warning about acronym error.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java
	(sections): Add %clean and %check section.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePackagesScanner.java
	(PACKAGES_TAGS): Add Requires(hint)
	(SpecfilePackagesScanner): Detect packages that begin with ' ' | ',' | '\t' |
	':' char. Add comment support.

2007-04-10  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #181747
	* src/org/eclipse/linuxtools/rpm/ui/editor/URLHyperlinkWithMacroDetector.java:
	New class to resolve macro in URL.
	(detectHyperlinks): New method.
	(URLHyperlinkWithMacroDetector): Likewise.
	(resolveDefinesInURL): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java:
	(getHyperlinkDetectors): Use URLHyperlinkWithMacroDetector.

2007-04-10  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #181110
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileReconcilingStrategy.java:
	Update the editor without saving the file.
	(updateFolding): Don't create a specfile instance.
	(reconcile): Use the same method to reconcile.
	(SpecfileReconcilingStrategy): Remove unneeded code.
	(updateEditor): Update the specfile instance of the editor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java
	(parseSimpleDefinition): Cleanup.
	(parseComplexDefinition): Remove all existing error handler markers before
	parsing the file.
	(parse): Remove workarounds which are no longer needed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java
	(getContextType): Fix array out of bounds bug with incomplete specfiles.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java
	(updateFoldingRegions): Use the Specfile instance in the editor one.

2007-04-08  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #181245
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileScanner.java: Remove unneeded
	RPM tags, these tags are now taken into account by SpecfilePartitionScanner.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePackagesScanner.java: New
	file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfilePartitionScanner.java: Add
	__spec_packages partition type. Use SpecfilePackagesScanner.PACKAGES_TAGS.
	(SpecfilePartitionScanner): Add new scan rules for the__spec_packages partition.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java: Add hover support
	for RPM packages.
	(findPackages): New method.
	(getHoverRegion): Add support for findPackages() method.
	(getHoverInfo): Get RPM package hover information. Rename macroName to
	currentSelection to reflect the current code.
	(getHoverControlCreator): Use HTMLTextPresenter as information control
	presenter.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java: Add
	support for the RPM packages content type.
	(getSpecfilePackagesScanner): New method.
	(getPresentationReconciler): Reconcile packages.
	(getContentAssistant): Set content assistant for packages content type.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java: Add
	completion support for the __spec_packages partition type.
	(computeRpmPackageProposals): Show only proposals on lines begining with
	Requires, BuildRequires, etc.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java: Add a
	method used by SpecfilePartionScanner.getHoverInfo() to retrieve package.
	information.
	(getValue): New method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/PackageWordDetector.java: New file.
	Add packages word detection.
	* src/org/eclipse/linuxtools/rpm/ui/editor/ISpecfileColorConstants.java: Add
	color constant for packages.

2007-04-06  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java
	(getValue): Escape "?" character in regex. Bug #181395.

2007-04-05  Remy Suen  <remy.suen@gmail.com>

	Bug #181249
	* META-INF/MANIEST.MF: Set the Bundle-RequiredExecutionEnvironment attribute to
	J2SE-1.4.

2007-04-05  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java
	(getProposals): Escape "{" character in regex.

2007-04-04  Andrew Overholt  <overholt@redhat.com>

	This large functionality addition was done by Alphonse Van Assche. The
	discussion surrounding it is available at
	https://bugs.eclipse.org/bugs/show_bug.cgi?id=177220.
	* .classpath: Add J2SE-1.4 preferred EE.
	* build.properties: Add icons and templates to binary build.
	* icons/changelog.gif: Remove apparently unused icon.
	* META-INF/MANIFEST.MF: Change changelog requirement to new namespace. Add
	* plugin.xml: Update class namespace for editor extension. Update changelog
	extension point locations. Add templates and preferences extensions. preferences
	to package export list.
	* src/org/eclipse/linuxtools/rpm/ui/editor/Activator.java: Add template,
	contextType, and macro and package completion variables.
	(getTemplateStore): New method.
	(getRpmMacroList): Likewise.
	(getRpmPackageList): Likewise.
	(getContextTypeRegistry): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmMacroProposalsList.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/RpmPackageProposalsList.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileCompletionProcessor.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileConfiguration.java
	(getReconciler): Change delay to 500 ms.
	(getContentAssistant): New method.
	(getInformationControlCreator): New method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditor.java
	(getAdapter): Add projectionSupport.
	(getResourceBundle): New method.
	(createActions): Likewise.
	(createPartControl): Likewise.
	(createSourceViewer): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileEditorMessages.properties:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileFoldingStructureProvider.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileHover.java
	(getHoverInfo): Add non-%source and non-%patch macro proposals.
	* src/org/eclipse/linuxtools/rpm/ui/editor/SpecfileReconcilingStrategy.java
	(SpecfileReconcilingStrategy): Add parser and foldingStructureProvider.
	(setDocument): Implement.
	(reconcile): Call reconcile().
	(initialReconcile): New method. Call reconcile().
	(reconcile): New method. Parse and update editor and folding.
	(setProgressMonitor): New method.
	(parseSpecfile): Likewise.
	(updateEditor): Likewise.
	(updateFolding): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogParser.java:
	Update changelog import package name.
	* src/org/eclipse/linuxtools/rpm/ui/editor/actions/SpecfileChangelogFormatter.java
	(formatTodaysDate): Add locale-based formatting. Will probably want to re-visit
	this soon.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/Specfile.java
	(getSectionsElements): New method. Used for determining when to offer completion
	proposals.
	* src/org/eclipse/linuxtools/rpm/ui/editor/parser/SpecfileParser.java
	(parseComplexDefinition): Add temporary workaround for null errorHandler.
	(parseSimpleDefinition): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MainPreferencePage.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/MacroProposalsPreferencePage.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceConstants.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/PreferenceInitializer.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmInformationsPreferencePage.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/RpmProposalsPreferencePage.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/preferences/SpecTemplatePreferencePage.java:
	Likewise.
	* templates/templates.xml: Likewise. Templates for completion.

2007-03-28  Andrew Overholt  <overholt@redhat.com>

	Re-namespace to org.eclipse.linuxtools.rpm.ui.editor.

2007-03-15  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/SpecfileReconcilingStrategy.java: New file.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentOutlinePage.java
	(update): Run in an async thread.
	(.run): New method.
	* src/org/eclipse/cdt/rpm/editor/SpecfileConfiguration.java
	(getReconciler): New method.
	* src/org/eclipse/cdt/rpm/editor/SpecfileEditor.java
	(validateAndMark): Call getParser.
	(getParser): New method.
	(getAdapter): Call getOutlinePage.
	(getOutlinePage): New method.
	(setSpecfile): New method.

2007-01-06  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseSection): Special case the top level package so that it appears in the
	outline.

2007-01-06  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileSection.java: Rename thePackage
	field to parentPackage.
	(getPackage): Rename thePackage field to parentPackage.
	(toString): Ditto.
	(SpecfileSection): Ditto.
	(setPackage): Ditto.
	(getPackageName): New method.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfilePackage.java: Resubclass based
	on SpecfileSection instead of SpecfileElement and add a new field packageName.
	(getPackage): New method.
	(setPackageName): New method.
	(getPackageName): New method.
	(toString): Remove redundant code, change use of getName to getPackageName().
	(SpecfilePackage): Initialize new fields, pass "package" to super constructor.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfilePackageContainer.java
	(getPackage): Use getPackageName() instead of getName().
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseSection): Special case ParserPackages from other types of ParserSections.

2007-01-04  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfilePreamble.java: New file.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentProvider.java
	(getChildren): Add the preamble and sections to the children returned for a
	Specfile.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileLabelProvider.java
	(getText): Add "Preamble" as the returned text for SpecfilePreamble.
	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java
	(Specfile): Change preamble to a SpecfilePreamble from a SpecfileElement,
	intialize it in the constructor.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseSection): Add simple, but not complex, sections to the specfile with
	addSection(). Add complex section to a SpecfilePackage hierarchialy, and add the
	package to the specfile.
	(parse): Remove if block that dealt with SpecfileSections.
	(simpleSections): Add javadoc.
	(complexSections): Add javadoc.

2007-01-03  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfilePackageContainer.java: New file.
	Container for packages for use in the model and outline.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentProvider.java
	(SpecfileContentProvider): Set specfile in the constructor.
	(getElements): Use getChildren.
	(getChildren): Re-work outline to have Packages sub-category. Will further
	refine later.
	(hasChildren): Add knowledge of SpecfilePackage and SpecfilePackageContainer.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileLabelProvider.java
	(getText): Add SpecfilePackage and SpecfilePackageContainer.
	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java
	(getPackage): New method.
	(getPreamble): Likewise.
	(addPackage): Likewise.
	(Specfile): Likewise.
	(getPackages): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseSection): Deal with -f, add package data to sections.
	(parse): Add packages to model.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfilePackage.java
	(SpecfilePackage): Add sections.
	(getSections): New method.
	(hasChildren): Likewise.
	(addSection): Likewise.
	(getLineEndPosition): Override to return the actual %package line.
	(getLineStartPosition): Likewise.

2006-12-19  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileSource.java
	(getFileName): Resolve macros.
	* src/org/eclipse/cdt/rpm/editor/SpecfileConfiguration.java
	(getPresentationReconciler): Cleanups.
	(getTextHover): Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileHover.java
	(findWord): Deal with macros without braces
	(ex. %patch).(getHoverInfo): Fix typo.

2006-12-18  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/SpecfilePartitionScanner.java: Remove the
	SPEC_DEFAULT partition type, as IDocument.EFAULT_CONTENT_TYPE fulfills this role.
	* src/org/eclipse/cdt/rpm/editor/SpecfileConfiguration.java
	(getConfiguredContentTypes): Fix to return
	SpecfilePartitionScanner.SPEC_PARTITION_TYPES instead of just the default
	partition type.
	* src/org/eclipse/cdt/rpm/editor/SpecfileHover.java
	(getHoverInfo): Change hover text to "<macro name>: <macro value". Add hover for
	patch and source declarations.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parse): Special case Epoch handling, now added to list of defines.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileSource.java: Change call to
	super constructor with String.

2006-12-04  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/SpecfileHover.java: New file. Hover support.
	* src/org/eclipse/cdt/rpm/editor/SpecfileConfiguration.java
	(SpecfileConfiguration): Add editor to constructor.
	(getTextHover): New method.
	* src/org/eclipse/cdt/rpm/editor/SpecfileEditor.java
	(SpecfileEditor): Add this object to configuration constructor call.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parse): Add version and release defines.

2006-11-07  Andrew Overholt  <overholt@redhat.com>

	Add license.
	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java: Add license.
	(setLicense): New method.
	(getLicense): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseSimpleDefinition): Add license.
	(parse): Likewise.
	(parseDefine): Likewise.
	(parseLine): Likewise.

2006-10-04  Andrew Overholt  <overholt@redhat.com>

	* plugin.xml: Update ChangeLog parser extension to not use fully-qualified
	editor name.

2006-10-03  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentProvider.java
	(inputChanged): Don't parse; use SpecfileEditor's parsed Specfile instead.
	(SpecfileContentProvider): Take as input the ITextEditor rather than just the
	IDocumentProvider. Remove unused field variables.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentOutlinePage.java
	(createControl): Use updated SpecfileContentProvider constructor.
	* src/org/eclipse/cdt/rpm/editor/SpecfileEditor.java
	(editorSaved): Parse the document
	(validateAndMark) before updating the outline.* src/org/eclipse/cdt/rpm/editor/actions/SpecfileChangelogFormatter.java: Remove unused field variable.(getParsedSpecfile):
	Don't parse; use SpecfileEditor's parsed Specfile instead.
	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileChangelogAction.java
	(createChangelogEntry): Don't parse; use SpecfileEditor's parsed Specfile
	instead.
	(run): Pass Specfile and not editor to createChangelogEntry; Fix typos.
	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileEditorOrganizePatchesActionDelegate.java
	(setActiveEditor): Remove debugging output.
	(run): Likewise.

2006-10-03  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileEditorOrganizePatchesActionDelegate.java:
	New file.
	(setActiveEditor): New method.
	(run): Likewise.
	(selectionChanged): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java:
	(printArray): New method.
	(getDocument): Likewise.
	(toString): Likewise.
	(getSourcesAsArray): Likewise.
	(setDocument): Likewise.
	(setSources): Likewise.
	(changeLine): Likewise.
	(organizePatches): Likewise.
	(getLine): Likewise.
	(getLineLength): Likewise.
	(getPatchesAsArray): Likewise.
	(setPatches): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileSource.java
	(toString): Add declaration line.
	(getLineNumber): New method.
	(changeDeclaration): Likewise.
	(setLineNumber): Likewise.
	(changeReferences): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parse): Fix line numbers. Record patch declaration line numbers.
	* plugin.xml: Add action for "Organize Patches" in editor context menu.
	* src/org/eclipse/cdt/rpm/editor/SpecfilePartitioner.java
	(connect): Don't print out the partitions.
	* src/org/eclipse/cdt/rpm/editor/SpecfileEditor.java
	(validateAndMark): Keep parsed specfile.
	(getSpecfile): New method.
	* src/org/eclipse/cdt/rpm/editor/SpecfileErrorHandler.java
	(getCharOffset): Fix line number calculations.

2006-09-19  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SourceComparator.java: New file.
	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java
	(printSources): New method.
	(printPatches): Likewise.
	(getSourcesAsList): Likewise.
	(getSourcesAsArray): Likewise.
	(getSources): Likewise.
	(getPatchesAsList): Likewise.
	(getPatches): Likewise.
	(getPatchesAsArray): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileSource.java
	(toString): Add lines used.
	(getLinesUsed): New method.
	(removeLineUsed): Likewise.
	(addLineUsed): Likewise.
	(SpecfileSource): Initialize linesUsed.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parse): Add line numbers where patches and sources are used.

2006-09-19  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseComplexDefinition): Make lines that being with "Source" or "Patch" but do
	not have colons just warnings as we cannot tell the difference between these and
	Source or Patch directives with missing trailing colons.

2006-09-07  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileChangelogFormatter.java: Fix
	the case where there is no changelog section in the file as well as some minor
	formatting fixes.

2006-09-07  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileChangelogFormatter.java: New
	file.
	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileChangelogParser.java: New,
	empty, file.
	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java: Initialize epoch to -1.
	* META-INF/MANIFEST.MF: Add exporting of the new
	org.eclipse.linuxtools.rpm.ui.editor.actions package. Add dependency on
	com.redhat.eclipse.changelog.core.
	* plugin.xml: Remove extension of the org.eclipse.ui.actionSets extension point,
	add extension of the com.redhat.eclipse.changelog.core.parserContribution and
	com.redhat.eclipse.changelog.core.formatterContribution extension points.
	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileChangelogAction.java
	(createChangelogEntry): Use email and author name from changelog plugin,
	although in a very hacky way. Add option epoch to the version, add macro
	resolution in version, epoch and release.

2006-09-05  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileElement.java
	(resolve): Use reluctant regex to allow for multiple definitions to be resolved.
	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileChangelogAction.java
	(createChangelogEntry): Resolve strings so we don't end up with variable
	definitions in the nvr string.

2006-09-04  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/actions/SpecfileChangelogAction.java: New file,
	implementing the changelog entry action.
	* icons/changelog.gif: New file.
	* plugin.xml: Add extension point for actionSet.

2006-09-04  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseSection): Add continue statement if no package name is found after -n.

2006-09-03  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentProvider.java: Remove
	unnecessary imports.
	* src/org/eclipse/cdt/rpm/editor/SpecfileDocumentProvider.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfilePartitionScanner.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileChangelogScanner.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseSimpleDefinition): Change use of illegal String.contains(String) to
	String.indexOf(String) > 0.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileTag.java
	(toString): Likewise.

2006-09-01  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseDefine): Remove colon from error messages.
	(parse): Don't output to console.
	(parseSimpleDefinition): Return after first error. Remove colon from error
	messages.

2006-08-31  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java
	(getSource): New method.
	(getPatch): Likewise.
	(addPatch): Likewise.
	(addSource): Likewise.
	(Specfile): Likewise. Add patches and sources maps.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(packageLevelDefinitions): Likewise.
	(parseMacro): Likewise.
	(parseSection): Likewise.
	(complexDefinitions): Likewise.
	(parsePatch): Likewise.
	(parseLine): Likewise.
	(simpleDefinitions): Likewise.
	(parseDefine): Likewise.
	(parse): Likewise.
	(parseSimpleDefinition): Likewise.
	(parseComplexDefinition): Likewise. Split up parser into multiple methods.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileTag.java
	(toString): Use resolve method.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParseException.java
	(SpecfileParseException): Add severity.
	(getSeverity): New method.
	(setSeverity): Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileErrorHandler.java
	(handleError): Use severity. Add severity.

2006-08-31  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Add package exports to facilitate moving tests to new
	plugin.

2006-08-29  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/tests: Move tests to new plugin
	org.eclipse.linuxtools.rpm.ui.editor.tests.
	* .classpath: Remove JUnit from classpath.

2006-08-28  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseLine): Handle errors directly and do not throw exceptions.
	(parse): Pass lineNumber to parseLine for error handling.

2006-08-28  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentProvider.java
	(getParent): Set null root.
	(inputChanged): Add error handling.
	(getElements): Set null root.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentOutlinePage.java
	(update): Check for null input.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileLabelProvider.java
	(getText): Never return null.
	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java: Set default name value.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseLine): First cut of error handling.
	(parse): Likewise.
	(setErrorHandler): Likewise. Likewise.
	* META-INF/MANIFEST.MF: Add dependencies for error handling.
	* plugin.xml: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileEditor.java
	(doSetInput): First cut of error handling.
	(validateAndMark): Likewise.
	(getInputDocument): Likewise.
	(getInputFile): Likewise.
	(editorSaved): Likewise. Likewise.
	* src/org/eclipse/cdt/rpm/editor/AuthorEmailRule.java
	(evaluate): Add necessary cast.
	* src/org/eclipse/cdt/rpm/editor/VersionReleaseRule.java
	(evaluate): Likewise.

2006-08-21  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java
	(setVersion): New method.
	(getVersion): Likewise.
	(setRelease): Likewise.
	(getDefine): Likewise.
	(addDefine): Likewise.
	(getRelease): Likewise.
	(Specfile): Add version, release, and defines.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileSection.java
	(SpecfileSection): Add specfile to constructor.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseLine): Add specfile argument.
	(parse): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfilePackage.java
	(SpecfilePackage): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/HeaderRecognitionTest.java
	(testGetComplexSectionName2): Likewise.
	(testGetComplexSectionName4): Likewise.
	(testGetComplexSectionName5): Likewise.
	(testGetSimpleSectionName): Likewise.
	(testGetComplexSectionName6): Likewise.
	(testGetComplexSectionName3): Likewise.
	(testGetComplexSectionName7): Likewise.
	(testGetComplexSectionName1): Likewise. Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/EpochTagTest.java
	(testNonIntegerEpoch): Likewise.
	(testMultipleEpochsTag): Likewise.
	(testMultipleEpochsTag2): Likewise.
	(testEpochTag2): Likewise.
	(testNonIntegerEpoch2): Likewise.
	(testNullEpochTag2): Likewise.
	(testNullEpochTag): Likewise.
	(testEpochTag): Likewise. Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileTag.java
	(SpecfileTag): Likewise.
	(setTagType): New method.
	(getTagType): Likewise.
	(getStringValue): Likewise.
	(toString): Use tag type to determine return value.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileElement.java
	(getSpecfile): New method.
	(resolve): Likewise. Resolve variable definitions.
	(setSpecfile): Likewise.
	(getName): Use resolve.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/NameTagTest.java
	(testNameTag2): Add specfile argument.
	(testMultipleNamesTag2): Likewise.
	(testNameTag): Likewise.
	(testMultipleNamesTag): Likewise.
	(testNullNameTag2): Likewise.
	(testNullNameTag): Likewise.
	(testResolvedSetName):
	(testResolvedNameTag): Add specfile field.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileDefine.java: New file.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/DefineTests.java: New file.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/ReleaseTagTests.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/VersionTagTests.java: Likewise.

2006-08-20  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java
	(setEpoch): New method.
	(getEpoch): Likewise. Add epoch field variable.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java
	(parseLine): Handle epochs.
	(parse): Likewise. Clean up imports and remove unused args variable.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileTag.java
	(setIntValue): New method. Handle tags that have integer values.
	(getIntValue): Likewise.
	(toString): Modify to handle integer and string tags.
	(SpecfileTag): Modify constructors for integer and string values.
	(setStringValue): Refactor setValue.
	(getStringValue): Likewise. Add tagType field variable.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/NameTagTest.java
	(testNameTag2): Modify to use SpecfileTag.getStringValue;
	(testNameTag): Likewise.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/EpochTagTest.java: New file. Tests
	for epoch tag handling.

2006-08-18  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/parser/tests/NameTagTest.java: Add new file.
	* src/org/eclipse/cdt/rpm/editor/parser/tests/HeaderRecognitionTest.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileTag.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileSection.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileParser.java : Ditto.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfilePackage.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/parser/SpecfileElement.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/parser/Specfile.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileLabelProvider.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentProvider.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/outline/SpecfileContentOutlinePage.java: Ditto.
	* src/org/eclipse/cdt/rpm/editor/SpecfileEditor.java
	(getAdapter): Add method.
	* .classpath: Add dependency on JUnit.
	* META-INF/MANIFEST.MF: Add dependency on org.eclipse.ui.views.

2006-08-12  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/VersionReleaseRule.java: Fixed bug with the
	handling of trailing space following the version-release.
	* src/org/eclipse/cdt/rpm/editor/AuthorEmailRule.java: Added rudimentary
	checking for valid email addresses, and fixed a few hanging bugs when removing
	the '<', '@', '.', or '>' characters from the email address.

2006-08-12  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/SpecfileScanner.java: Minor doc fixes.
	* src/org/eclipse/cdt/rpm/editor/SpecfileConfiguration.java: Added a reference
	to a SpecfileChangelogScanner. Added a damager/repairer pair for the %files and
	%changelog sections.
	* src/org/eclipse/cdt/rpm/editor/ISpecfileColorConstants.java: Removed leftover
	constants from XML editor example, added constants for changelog colouring.
	* src/org/eclipse/cdt/rpm/editor/AuthorEmailRule.java: New file.
	* src/org/eclipse/cdt/rpm/editor/VersionReleaseRule.java: New file.
	* src/org/eclipse/cdt/rpm/editor/SpecfileChangelogScanner.java: New file.
	* src/org/eclipse/cdt/rpm/editor/SpecfileTagScanner.java: Commented the whole
	file, as I think it's unused.

2006-08-12  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/SpecfilePartitionScanner.java: Fixed
	partitioning with a simple initial partitioning scheme.
	* src/org/eclipse/cdt/rpm/editor/SpecfileDocumentProvider.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileConfiguration.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SectionRule.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfilePartitioner.java: New file, adds
	debugging output to partitioning.

2006-08-02  Andrew Overholt  <overholt@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Initial commit.
	* src/org/eclipse/cdt/rpm/editor/TagWordDetector.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileConfiguration.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/ColorManager.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/NonRuleBasedDamagerRepairer.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SectionRule.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfilePartitionScanner.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/StringWithEndingRule.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileWhitespaceDetector.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileDoubleClickStrategy.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileTagScanner.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/TagRule.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/IStrictWordDetector.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/Activator.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/MacroWordDetector.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileDocumentProvider.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileScanner.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/PatchNumberDetector.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SpecfileEditor.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/SuffixNumberDetector.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/ISpecfileColorConstants.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/KeywordWordDetector.java: Likewise.
	* build.properties: Likewise.
	* .project: Likewise.
	* ChangeLog: Likewise.
	* plugin.xml: Likewise.
	* icons/rpm.gif: Likewise.
	* META-INF/MANIFEST.MF: Likewise.
	* .classpath: Likewise.
	* .cvsignore: Likewise.